eigen.bar <- function(a, col = c(1, 1, rep(0, length(a) - 2)),
         inset = c(0.005, 0.01), border = 1,ratio = 0.1,
         pos = "bottomleft"){
         opar <- par("mar", "xaxt", "yaxt", "plt")
         on.exit(par(opar))
         bp <- function(x){
	   barplot(x, xlab = "", ylab = "", main = "",
           col = col, border = border)
	 }
         par(mar = rep(0.1,4), xaxt = "n", yaxt = "n")
         add.scatter(bp(a), bg.col = "transparent",
           ratio = ratio, inset = inset, pos = pos)
       }
